Obtenir la configuration de facturation
curl --request GET \
--url https://api.truthlocks.com/v1/billing/config \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.truthlocks.com/v1/billing/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/config"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"country_code": "<string>",
"country_verified": true,
"country_review_required": true,
"pricing_region": "<string>",
"effective_provider": "<string>",
"visible_providers": [
"<string>"
],
"current_plan": "<string>"
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Facturation
Obtenir la configuration de facturation
Renvoie le fournisseur de paiement effectif et le plan actuel pour le locataire authentifié.
GET
/
v1
/
billing
/
config
Obtenir la configuration de facturation
curl --request GET \
--url https://api.truthlocks.com/v1/billing/config \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.truthlocks.com/v1/billing/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/config"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"country_code": "<string>",
"country_verified": true,
"country_review_required": true,
"pricing_region": "<string>",
"effective_provider": "<string>",
"visible_providers": [
"<string>"
],
"current_plan": "<string>"
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}GET /v1/billing/config
Réponse
Le fournisseur de paiement sélectionné pour cette région (
stripe ou flutterwave ; vide si non disponible).Si le personnel a approuvé le pays de facturation actuel et qu’aucune révision de remplacement n’est en attente.
Lorsque cette option est activée, la preuve de pays doit être approuvée avant que la nouvelle facturation payante puisse être activée.
country ne le remplace pas. Les choix de fournisseurs dépendent du pays et de la configuration ; le paiement de l’abonnement nécessite également la configuration du plan récurrent du fournisseur.
Voir routage du fournisseur pour les limitations de vérification et de paiement.
